Bug 1026746 - Failing JBoss AS testsuite GetCallerPrincipalTestCase with JTS transactions
Failing JBoss AS testsuite GetCallerPrincipalTestCase with JTS transactions
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.2.0,6.4.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: David M. Lloyd
Ondrej Chaloupka
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 05:57 EST by Ondrej Chaloupka
Modified: 2015-10-26 07:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GetCallerPrincipalTestCase.txt (7.72 KB, text/plain)
2013-11-05 05:57 EST, Ondrej Chaloupka
no flags Details
TEST-GetCallerPrincipalTestCase.xml (47.65 KB, text/xml)
2013-11-05 05:57 EST, Ondrej Chaloupka
no flags Details

  None (edit)
Description Ondrej Chaloupka 2013-11-05 05:57:13 EST
Created attachment 819655 [details]
GetCallerPrincipalTestCase.txt

Test org.jboss.as.test.integration.ejb.security.callerprincipal.GetCallerPrincipalTestCase#testStatefulLifecycle from jboss as testsuite fails when run with JTS transactions.

Download the 6.2.0.ER7 sources and compile in way like:
./build.sh  clean  install -e -DallTests -Dpublic-repos -U -B -fae -Dmaven.test.skip.exec=true

Then change the standalone-full.xml from build/target/jboss-as-7.3.0.Final-redhat-SNAPSHOT/standalone/configuration to use jts
 - jacorb subystem: transactions="on"
 - transactions subsystem: add the <jts/> tag

Run the test:
./integration-tests.sh clean install -Dts.noSmoke -Dts.basic -Dtest=org.jboss.as.test.integration.ejb.security.callerprincipal.GetCallerPrincipalTestCase#testStatefulLifecycle

Check the testsuite/integration/basic/target/surefire-reports folder for test logs and testsuite/integration/basic/target/jbossas/standalone/log/server.log for the server logs.

The exception cause is:
Caused by: org.omg.CORBA.TRANSACTION_UNAVAILABLE: ARJUNA022258: Transaction was inactive

The logs are added as attachement.
Comment 1 Ondrej Chaloupka 2013-11-05 05:57:48 EST
Created attachment 819656 [details]
TEST-GetCallerPrincipalTestCase.xml
Comment 4 tom.jenkinson 2013-11-06 10:55:15 EST
Hi Ondra,

Someone is calling getTransactionTimeout in an afterCompletion, this is raising a SystemException which is compatible with the signature of the SPI method. I think it would need a change in the EJB3 code to deal with that scenario.

Tom
Comment 5 Ondrej Chaloupka 2014-03-18 06:17:39 EDT
Hitting with EAP 6.3.0.DR4 as well.
Comment 6 Ondrej Chaloupka 2014-07-07 03:29:48 EDT
Still hitting (with EAP 6.3.0.ER9 as well).
Comment 8 Ondrej Chaloupka 2015-10-26 07:45:32 EDT
From my experience this is still not fixed in WildFly see https://issues.jboss.org/browse/WFLY-5578

There is an similar issue here https://issues.jboss.org/browse/WFLY-2814 which is working for WFLY10 but it's not connected with this issue which touches transactions with JTS.

Note You need to log in before you can comment on or make changes to this bug.